Bug 407562 - movement between delta's is broken
Summary: movement between delta's is broken
Status: RESOLVED FIXED
Alias: None
Product: kdiff3
Classification: Applications
Component: application (show other bugs)
Version: 1.8.x
Platform: openSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: michael
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-15 15:26 UTC by Vadym Krevs
Modified: 2019-05-24 21:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vadym Krevs 2019-05-15 15:26:17 UTC
SUMMARY

Ctrl-Up/Down does not navigate between delta's anymore.

STEPS TO REPRODUCE
1. Create a multiline text file, copy it and make some changes on different non-consequtive lines in the copy.
2. Open files in kdiff3
3. Attempt to go from first to next delta using Ctrl-Down - nothing happens. 

Under "Movement" only "goto current delta" is turned on.

kdiff3-1.8-lp150.17.1.x86_64



OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Vasiliy Glazov 2019-05-17 06:43:00 UTC
I am confirm this on Fedora 1.8.0 build.
Comment 2 michael 2019-05-18 00:50:34 UTC
Git commit b78a27b5fa105a8608291ac95621944fa0c8d975 by Michael Reeves.
Committed on 18/05/2019 at 00:48.
Pushed by mreeves into branch '1.8'.

Fix enabling of delta movement

HOTFIX
FIXED-IN:1.8.1

M  +4    -4    src/pdiff.cpp

https://commits.kde.org/kdiff3/b78a27b5fa105a8608291ac95621944fa0c8d975
Comment 3 michael 2019-05-24 21:01:03 UTC
Git commit 8136f38cbebedeb5dbfe754efe4de54039c389cb by Michael Reeves.
Committed on 21/05/2019 at 01:58.
Pushed by mreeves into branch 'master'.

Fix enabling of delta movement

HOTFIX
FIXED-IN:1.8.1

M  +4    -4    src/pdiff.cpp

https://commits.kde.org/kdiff3/8136f38cbebedeb5dbfe754efe4de54039c389cb